Skip to main content

List IP Addresses

Returns a list of all whitelisted IP addresses for all of your clients, including the IP addresses associated with the requesting client.

GET
/ip_addresses

Query Parameters

FieldRequiredType

ip_address

Searches a specific IP address.

Optional
String

page

Specify current page.

Optional
Integer

records_per_page

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Optional
Integer

Request sample

Language:shell

_10
curl -L -X GET 'https://int-api.mx.com/ip_addresses' \
_10
-H 'Accept: application/vnd.mx.api.v1+json' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Response sample

200
Language:json

_17
{
_17
"ip_addresses": [
_17
{
_17
"created_at": "2024-09-04T16:07:40+00:00",
_17
"guid": "IPA-123",
_17
"ip_address": "1.2.3.4",
_17
"status": "PENDING",
_17
"updated_at": "2024-09-04T16:07:40+00:00"
_17
}
_17
]
_17
"pagination": {
_17
"current_page": 1,
_17
"per_page": 25,
_17
"total_entries": 1,
_17
"total_pages": 1
_17
}
_17
}